; Register Declarations for 80552 Processor

; BYTE Register
P0      DATA  080H
P1      DATA  090H
P2      DATA  0A0H
P3      DATA  0B0H
P4      DATA  0C0H
P5      DATA  0C4H
PSW     DATA  0D0H
ACC     DATA  0E0H
B       DATA  0F0H
SP      DATA  081H
DPL     DATA  082H
DPH     DATA  083H
PCON    DATA  087H
TCON    DATA  088H
TMOD    DATA  089H
TL0     DATA  08AH
TL1     DATA  08BH
TH0     DATA  08CH
TH1     DATA  08DH
IE      DATA  0A8H
IEN0    DATA  0A8H
IEN1    DATA  0E8H
IP      DATA  0B8H
IP0     DATA  0B8H
IP1     DATA  0F8H
T3      DATA  0FFH

SCON    DATA  098H
S0CON   DATA  098H
SBUF    DATA  099H
S0BUF   DATA  099H

; BIT Register
; PSW
CY      BIT   0D7H
AC      BIT   0D6H
F0      BIT   0D5H
RS1     BIT   0D4H
RS0     BIT   0D3H
OV      BIT   0D2H
P       BIT   0D0H

; TCON
TF1     BIT   08FH
TR1     BIT   08EH
TF0     BIT   08DH
TR0     BIT   08CH
IE1     BIT   08BH
IT1     BIT   08AH
IE0     BIT   089H
IT0     BIT   088H

; IEN0
EA      BIT   0AFH
EAD     BIT   0AEH
ES1     BIT   0ADH
ES0     BIT   0ACH
ES      BIT   0ACH
ET1     BIT   0ABH
EX1     BIT   0AAH
ET0     BIT   0A9H
EX0     BIT   0A8H

; IP0
PAD     BIT   0BEH
PS1     BIT   0BDH
PS0     BIT   0BCH
PS      BIT   0BCH
PT1     BIT   0BBH
PX1     BIT   0BAH
PT0     BIT   0B9H
PX0     BIT   0B8H

; IEN1
ET2     BIT   0EFH
ECM2    BIT   0EEH
ECM1    BIT   0EDH
ECM0    BIT   0ECH
ECT3    BIT   0EBH
ECT2    BIT   0EAH
ECT1    BIT   0E9H
ECT0    BIT   0E8H

; IP1
PT2     BIT   0FFH
PCM2    BIT   0FEH
PCM1    BIT   0FDH
PCM0    BIT   0FCH
PCT3    BIT   0FBH
PCT2    BIT   0FAH
PCT1    BIT   0F9H
PCT0    BIT   0F8H

; P3
RD      BIT   0B7H
WR      BIT   0B6H
T1      BIT   0B5H
T0      BIT   0B4H
INT1    BIT   0B3H
INT0    BIT   0B2H
TXD     BIT   0B1H
RXD     BIT   0B0H

; SCON
SM0     BIT   09FH
SM1     BIT   09EH
SM2     BIT   09DH
REN     BIT   09CH
TB8     BIT   09BH
RB8     BIT   09AH
TI      BIT   099H
RI      BIT   098H

; AD prevodnik
ADCON   DATA  0C5H
ADCH    DATA  0C6H

; Pulzne sirkova modulace
PWM0    DATA  0FCH
PWM1    DATA  0FDH
PWMP    DATA  0FEH

; IIC bus
S1CON   DATA  0D8H
S1STA   DATA  0D9H
S1DAT   DATA  0DAH
S1ADR   DATA  0DBH
; S1CON
CR2     BIT   0DFH
ENS1    BIT   0DEH
STA     BIT   0DDH
STO     BIT   0DCH
SI      BIT   0DBH
AA      BIT   0DAH
CR1     BIT   0D9H
CR0     BIT   0D8H

; Timer 2 a zachyty
TM2CON  DATA  0EAH
CTCON   DATA  0EBH
TML2    DATA  0ECH
TMH2    DATA  0EDH
STE     DATA  0EEH
RTE     DATA  0EFH
CML0    DATA  0A9H
CML1    DATA  0AAH
CML2    DATA  0ABH
CTL0    DATA  0ACH
CTL1    DATA  0ADH
CTL2    DATA  0AEH
CTL3    DATA  0AFH
CMH0    DATA  0C9H
CMH1    DATA  0CAH
CMH2    DATA  0CBH
CTH0    DATA  0CCH
CTH1    DATA  0CDH
CTH2    DATA  0CEH
CTH3    DATA  0CFH
TM2IR   DATA  0C8H
; TM2IR
T2OV    BIT   0CFH
CMI2    BIT   0CEH
CMI1    BIT   0CDH
CMI0    BIT   0CCH
CTI3    BIT   0CBH
CTI2    BIT   0CAH
CTI1    BIT   0C9H
CTI0    BIT   0C8H
INT5    BIT   0CBH
INT4    BIT   0CAH
INT3    BIT   0C9H
INT2    BIT   0C8H

; INT adress
SIIC    CODE  0002BH
T2CAP0  CODE  00033H
T2CAP1  CODE  0003BH
T2CAP2  CODE  00043H
T2CAP3  CODE  0004BH
ADCINT  CODE  00053H
T2CMP0  CODE  0005BH
T2CMP1  CODE  00063H
T2CMP3  CODE  0006BH
TIMER2  CODE  00073H
